
$(document).ready(function(){
	var data = "cost/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_ekspedisi").html('');
		$("#error_customer").html('');
		$("#error_del_cost").html('');
		$("#error_ret_cost").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "cost/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_ekspedisi").html(hasil.error.ekspedisi);
					$("#error_customer").html(hasil.error.customer);
					$("#error_del_cost").html(hasil.error.del_cost);
					$("#error_ret_cost").html(hasil.error.ret_cost);
				} else {
					$('#modal-tambah').modal('hide');
					$("#ekspedisi").val('');
					$("#customer").val('');
					$("#del_cost").val('');
					$("#ret_cost").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('cost/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_ekspedisi").html('');
		$("#error_customer").html('');
		$("#error_del_cost").html('');
		$("#error_ret_cost").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "cost/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_ekspedisi").html(hasil.error.edit_ekspedisi);
					$("#error_edit_customer").html(hasil.error.edit_customer);
					$("#error_edit_del_cost").html(hasil.error.edit_del_cost);
					$("#error_edit_ret_cost").html(hasil.error.edit_ret_cost);
				} else {
					$('#modal-edit').modal('hide');
					$("#ekspedisi").val('');
					$("#customer").val('');
					$("#del_cost").val('');
					$("#ret_cost").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	


});